Subject: [Isis-wg] draft-raszuk-isis-bgp-peer-discovery-00.txt

From: Robert Raszuk <[email-masked]>
Date: Sun, 22 Jun 2003 23:06:06 +0200

Network Working Group                             Robert Raszuk (Editor)
Internet Draft                                        Cisco Systems, Inc
Category: Standards Track                                      June 2003
Expires: December 2003

                 ISIS Extensions for BGP Peer Discovery
                draft-raszuk-isis-peer-discovery-00.txt

Status of this Memo

   This document is an Internet-Draft and is in full conformance with
   all provisions of Section 10 of RFC2026.

   Internet Drafts are working documents of the Internet Engineering
   Task Force (IETF), its Areas, and its Working Groups. Note that other
   groups may also distribute working documents as Internet Drafts.

   Internet Drafts are draft documents valid for a maximum of six
   months. Internet Drafts may be updated, replaced, or obsolete by
   other documents at any time. It is not appropriate to use Internet
   Drafts as reference material or to cite them other than as a "working
   draft" or "work in progress".

   The list of current Internet-Drafts can be accessed at
   http://www.ietf.org/ietf/1id-abstracts.txt

   The list of Internet-Draft Shadow Directories can be accessed at
   http://www.ietf.org/shadow.html.

Abstract

   This document proposes an extension to IS-IS protocol [ISO10589] to
   support BGP peer auto discovery.

   We propose the addition of new information that an Intermediate
   System can flood in it's LSPDU. Such information is required for
   network based auto discovery of IBGP peers as described in [IBGP-AM].

Raszuk R.                   Expires Dec 2003                    [Page 1]

Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003

1. Specification of Requirements

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
   document are to be interpreted as described in [RFC2119].

2. Introduction

   Today all BGP peering configuration is manual and requires action on
   both sides of any given peering. In IBGP Auto Mesh draft [IBGP-AM] we
   propose the automation of this task for IBGP sessions. As a
   distribution of required information IS-IS [ISO10589] native flooding
   layer is being proposed for reuse.

   The information required to be flooded is static and can change only
   by operator's manual configuration action.

   It is envisioned that in the future when new and better approaches
   for flooding information are available and deployed BGP Auto
   Discovery TLV could also be migrated from ISIS to such a new
   transport.

3. The BGP Auto Discovery TLV

   BGP Auto Discovery TLV is an IS-IS TLV of type code 243 (to be
   confirmed).

   The format of BGP Auto Discovery TLV is indicated for reference in
   Figure 1 below.

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |   TLV Type    |    Length     |     FLOODING RESERVED     |F|D|
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                        BGP Identifier                         |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  FRAG |     BGP  RESERVED     |        16 bit CHECKSUM        |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |    Autonomous System(s) or confederation sub-AS(s) sub-TLV    |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |             IPv4/IPv6  Peering Address sub-TLV                |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |             AFI/SAFI for mesh topologies sub-TLV              |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |          AFI/SAFI for reflection topologies sub-TLV           |

Raszuk R.                   Expires Dec 2003                    [Page 2]

Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                   Old BGP Identifier sub-TLV (opt)            |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

                  Figure 1. BGP Auto Discovery TLV

   Type    - Code 243 (to be confirmed)
   Length  - Total length in octets

   Control Flags related to IGP operation:

   Symbol    Capabilities

   F         Flooding scope
   D         Down Bit

   "F" {flooding} flooding scope of this TLV, when set domain wide
       flooding scope is required, when not set TLV should not be
       flooded into other areas or levels. Default not set
       indicating area/level wide flooding only.

   "D" {down} down bit set by IGP when leaked to other levels.

   BGP Auto Discovery TLV can be contained in any LSP fragment. It also
   can be repeated. BGP itself will take all necessary filtering/update
   actions on reception of this information from ISIS.

   The minimum TLV length can be 10 octets.

   When a size of the TLV reaches 255 octets BGP will fragment the TLV.
   A special "FRAG" 4 bit counter has been allocated in the BGP Control
   Information section for unlikely cases where BGP Auto Discovery TLV
   needs to be splitted across multiple TLVs for a given BGP speaker.
   Fragmentation should be fully transparent to ISIS component.

   The specific information and encoding of BGP sub-TLVs is discussed in
   [IBGP-AM].

Raszuk R.                   Expires Dec 2003                    [Page 3]

Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003

4. Operation

   It should be important to emphasize the fact that ISIS interaction
   with the new information is to remain minimal. BGP component will
   prepare the necessary information to be flooded as well as keep the
   received information in it's own data structure (cache). BGP
   component will also inform ISIS about required flooding scope for
   it's information by setting the F bit.

   It is assumed that all global LSP comparison will still take place.
   On the other hand it is not required that ISIS will try to parse and
   compare the TLV itself and based on the result initiate BGP
   notification or not. Added checksum field should make comparison done
   by BGP much less CPU intensive.

   Forced reflooding should only take place based on the manual
   configuration change of session related parameters. During normal
   network operation when BGP configuration related to peer maintenance
   is constant BGP Auto Discovery TLV should not cause any extra
   processing or flooding for ISIS.

5. Deployment Considerations

   The new proposed data to be flooded has an informational character.
   Routers which do not understand new information will not be able to
   participate in the IBGP auto mesh.

   Deployment of new code which supports new information can be
   incremental. Also enabling information distribution itself can also
   have an incremental character.

   It should be up to operator's decision to switch from informational
   use of BGP Auto Discovery TLV to operational IBGP auto mesh benefits.

6. IANA Considerations

   A new ISIS TLV type will need to be assigned by IANA. The TLV
   assignee will be responsible for allocation of any sub-TLVs for the
   IANA assigned TLV.

Raszuk R.                   Expires Dec 2003                    [Page 4]

Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003

7. Security Considerations

   It is highly encouraged to use existing ISIS security mechanism when
   transporting BGP Auto Discovery TLV.

   While addition of new information does not present any additional
   risks, potential consequences of injection of not authorized BGP Auto
   Discovery TLVs into routing domain could by minimized by
   implementation of additional filtering before attempting to establish
   IBGP sessions.

8. Acknowledgments

   I would like to express special thanks to Stefano Previdi, Steven
   Luong & Abhay Roy for their comments.

9. Normative References

   [RFC2119]  Bradner, S., "Key words for use in RFCs to Indicate
       Requirement  Levels", RFC 2119, March 1997.

   [RFC2434]  Narten, T., Alvestrand, H., "Guidelines for Writing an
       IANA Considerations Section in RFCs", RFC 2434, October 1998.

   [ISO10589] "Intermediate System to Intermediate System Intra-Domain
       Routing Exchange Protocol for use in Conjunction with the
       Protocol for Providing the Connectionless-mode Network Service
       (ISO8473)" [Also republished as RFC 1142]

   [RFC2966]  T. Li, T. Przygienda, H. Smit, "Domain-wide Prefix
       Distribution with Two-Level IS-IS", October 2000.

10. Informative References

   [IBGP-AM]  Raszuk, R., "IBGP Auto Mesh", draft-raszuk-ibgp-auto-
       mesh-00.txt, June 2003

Raszuk R.                   Expires Dec 2003                    [Page 5]

Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003

11. Authors' Addresses

      Robert Raszuk
      Cisco Systems, Inc.
      Al. Jerozolimskie 146C
      02-305 Warsaw, Poland
      Email: [email-masked]

12. IPR Notices

   The IETF takes no position regarding the validity or scope of any
   intellectual property or other rights that might be claimed to
   pertain to the implementation or use of the technology described in
   this document or the extent to which any license under such rights
   might or might not be available; neither does it represent that it
   has made any effort to identify any such rights. Information on the
   IETF's procedures with respect to rights in standards-track and
   standards-related documentation can be found in BCP-11. Copies of
   claims of rights made available for publication and any assurances of
   licenses to be made available, or the result of an attempt made to
   obtain a general license or permission for the use of such
   proprietary rights by implementors or users of this specification can
   be obtained from the IETF Secretariat.

   The IETF invites any interested party to bring to its attention any
   copyrights, patents or patent applications, or other proprietary
   rights which may cover technology that may be required to practice
   this standard. Please address the information to the IETF Executive
   Director.

13. Terms of Use

   Cisco has a pending patent which relates to the subject matter of
   this Internet Draft.  If a standard relating to this subject matter
   is adopted by IETF and any claims of any issued Cisco patents are
   necessary for practicing this standard, any party will be able to
   obtain a license from Cisco to use any such patent claims under
   openly specified, reasonable, non-discriminatory terms to implement
   and fully comply with the standard.

Raszuk R.                   Expires Dec 2003                    [Page 6]

Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003

14. Full Copyright Notice

   Copyright (C) The Internet Society (2002).  All Rights Reserved.

   This document and translations of it may be copied and furnished to
   others, and derivative works that comment on or otherwise explain it
   or assist in its implementation may be prepared, copied, published
   and distributed, in whole or in part, without restriction of any
   kind, provided that the above copyright notice and this paragraph are
   included on all such copies and derivative works.  However, this
   document itself may not be modified in any way, such as by removing
   the copyright notice or references to the Internet Society or other
   Internet organizations, except as needed for the purpose of
   developing Internet standards in which case the procedures for
   copyrights defined in the Internet Standards process must be
   followed, or as required to translate it into languages other than
   English.

   The limited permissions granted above are perpetual and will not be
   revoked by the Internet Society or its successors or assigns.

   This document and the information contained herein is provided on an
   "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING
   TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING
   BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION
   HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF
   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

Raszuk R.                   Expires Dec 2003                    [Page 7]

---

From: Hannes Gredler <[email-masked]>
Date: Sun, 22 Jun 2003 23:57:48 +0200

robert,

pls could you post draft-raszuk-ibgp-auto-mesh-00.txt as well
as i was not able to find it;

/hannes

On Sun, Jun 22, 2003 at 11:06:06PM +0200, Robert Raszuk wrote:
|  
| 
| 
| 
| 
| 
| 
| Network Working Group                             Robert Raszuk (Editor)
| Internet Draft                                        Cisco Systems, Inc
| Category: Standards Track                                      June 2003
| Expires: December 2003
| 
| 
|                  ISIS Extensions for BGP Peer Discovery
|                 draft-raszuk-isis-peer-discovery-00.txt
| 
| 
| Status of this Memo
| 
|    This document is an Internet-Draft and is in full conformance with
|    all provisions of Section 10 of RFC2026.
| 
|    Internet Drafts are working documents of the Internet Engineering
|    Task Force (IETF), its Areas, and its Working Groups. Note that other
|    groups may also distribute working documents as Internet Drafts.
| 
|    Internet Drafts are draft documents valid for a maximum of six
|    months. Internet Drafts may be updated, replaced, or obsolete by
|    other documents at any time. It is not appropriate to use Internet
|    Drafts as reference material or to cite them other than as a "working
|    draft" or "work in progress".
| 
|    The list of current Internet-Drafts can be accessed at
|    http://www.ietf.org/ietf/1id-abstracts.txt
| 
|    The list of Internet-Draft Shadow Directories can be accessed at
|    http://www.ietf.org/shadow.html.
| 
| 
| Abstract
| 
|    This document proposes an extension to IS-IS protocol [ISO10589] to
|    support BGP peer auto discovery.
| 
|    We propose the addition of new information that an Intermediate
|    System can flood in it's LSPDU. Such information is required for
|    network based auto discovery of IBGP peers as described in [IBGP-AM].
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| Raszuk R.                   Expires Dec 2003                    [Page 1]
| 
| 
| 
| 
| 
| Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003
| 
| 
| 1. Specification of Requirements
| 
|    The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
|    "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
|    document are to be interpreted as described in [RFC2119].
| 
| 
| 2. Introduction
| 
|    Today all BGP peering configuration is manual and requires action on
|    both sides of any given peering. In IBGP Auto Mesh draft [IBGP-AM] we
|    propose the automation of this task for IBGP sessions. As a
|    distribution of required information IS-IS [ISO10589] native flooding
|    layer is being proposed for reuse.
| 
|    The information required to be flooded is static and can change only
|    by operator's manual configuration action.
| 
|    It is envisioned that in the future when new and better approaches
|    for flooding information are available and deployed BGP Auto
|    Discovery TLV could also be migrated from ISIS to such a new
|    transport.
| 
| 
| 3. The BGP Auto Discovery TLV
| 
|    BGP Auto Discovery TLV is an IS-IS TLV of type code 243 (to be
|    confirmed).
| 
|    The format of BGP Auto Discovery TLV is indicated for reference in
|    Figure 1 below.
| 
|     0                   1                   2                   3
|     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |   TLV Type    |    Length     |     FLOODING RESERVED     |F|D|
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |                        BGP Identifier                         |
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |  FRAG |     BGP  RESERVED     |        16 bit CHECKSUM        |
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |    Autonomous System(s) or confederation sub-AS(s) sub-TLV    |
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |             IPv4/IPv6  Peering Address sub-TLV                |
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |             AFI/SAFI for mesh topologies sub-TLV              |
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |          AFI/SAFI for reflection topologies sub-TLV           |
| 
| 
| 
| Raszuk R.                   Expires Dec 2003                    [Page 2]
| 
| 
| 
| 
| 
| Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003
| 
| 
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    |                   Old BGP Identifier sub-TLV (opt)            |
|    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| 
|                   Figure 1. BGP Auto Discovery TLV
| 
|    Type    - Code 243 (to be confirmed)
|    Length  - Total length in octets
| 
|    Control Flags related to IGP operation:
| 
|    Symbol    Capabilities
| 
|    F         Flooding scope
|    D         Down Bit
| 
|    "F" {flooding} flooding scope of this TLV, when set domain wide
|        flooding scope is required, when not set TLV should not be
|        flooded into other areas or levels. Default not set
|        indicating area/level wide flooding only.
| 
|    "D" {down} down bit set by IGP when leaked to other levels.
| 
|    BGP Auto Discovery TLV can be contained in any LSP fragment. It also
|    can be repeated. BGP itself will take all necessary filtering/update
|    actions on reception of this information from ISIS.
| 
|    The minimum TLV length can be 10 octets.
| 
|    When a size of the TLV reaches 255 octets BGP will fragment the TLV.
|    A special "FRAG" 4 bit counter has been allocated in the BGP Control
|    Information section for unlikely cases where BGP Auto Discovery TLV
|    needs to be splitted across multiple TLVs for a given BGP speaker.
|    Fragmentation should be fully transparent to ISIS component.
| 
|    The specific information and encoding of BGP sub-TLVs is discussed in
|    [IBGP-AM].
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| Raszuk R.                   Expires Dec 2003                    [Page 3]
| 
| 
| 
| 
| 
| Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003
| 
| 
| 4. Operation
| 
|    It should be important to emphasize the fact that ISIS interaction
|    with the new information is to remain minimal. BGP component will
|    prepare the necessary information to be flooded as well as keep the
|    received information in it's own data structure (cache). BGP
|    component will also inform ISIS about required flooding scope for
|    it's information by setting the F bit.
| 
|    It is assumed that all global LSP comparison will still take place.
|    On the other hand it is not required that ISIS will try to parse and
|    compare the TLV itself and based on the result initiate BGP
|    notification or not. Added checksum field should make comparison done
|    by BGP much less CPU intensive.
| 
|    Forced reflooding should only take place based on the manual
|    configuration change of session related parameters. During normal
|    network operation when BGP configuration related to peer maintenance
|    is constant BGP Auto Discovery TLV should not cause any extra
|    processing or flooding for ISIS.
| 
| 
| 5. Deployment Considerations
| 
|    The new proposed data to be flooded has an informational character.
|    Routers which do not understand new information will not be able to
|    participate in the IBGP auto mesh.
| 
|    Deployment of new code which supports new information can be
|    incremental. Also enabling information distribution itself can also
|    have an incremental character.
| 
|    It should be up to operator's decision to switch from informational
|    use of BGP Auto Discovery TLV to operational IBGP auto mesh benefits.
| 
| 
| 6. IANA Considerations
| 
|    A new ISIS TLV type will need to be assigned by IANA. The TLV
|    assignee will be responsible for allocation of any sub-TLVs for the
|    IANA assigned TLV.
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| Raszuk R.                   Expires Dec 2003                    [Page 4]
| 
| 
| 
| 
| 
| Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003
| 
| 
| 7. Security Considerations
| 
|    It is highly encouraged to use existing ISIS security mechanism when
|    transporting BGP Auto Discovery TLV.
| 
|    While addition of new information does not present any additional
|    risks, potential consequences of injection of not authorized BGP Auto
|    Discovery TLVs into routing domain could by minimized by
|    implementation of additional filtering before attempting to establish
|    IBGP sessions.
| 
| 
| 8. Acknowledgments
| 
|    I would like to express special thanks to Stefano Previdi, Steven
|    Luong & Abhay Roy for their comments.
| 
| 
| 9. Normative References
| 
|    [RFC2119]  Bradner, S., "Key words for use in RFCs to Indicate
|        Requirement  Levels", RFC 2119, March 1997.
| 
|    [RFC2434]  Narten, T., Alvestrand, H., "Guidelines for Writing an
|        IANA Considerations Section in RFCs", RFC 2434, October 1998.
| 
|    [ISO10589] "Intermediate System to Intermediate System Intra-Domain
|        Routing Exchange Protocol for use in Conjunction with the
|        Protocol for Providing the Connectionless-mode Network Service
|        (ISO8473)" [Also republished as RFC 1142]
| 
|    [RFC2966]  T. Li, T. Przygienda, H. Smit, "Domain-wide Prefix
|        Distribution with Two-Level IS-IS", October 2000.
| 
| 
| 10. Informative References
| 
|    [IBGP-AM]  Raszuk, R., "IBGP Auto Mesh", draft-raszuk-ibgp-auto-
|        mesh-00.txt, June 2003
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| Raszuk R.                   Expires Dec 2003                    [Page 5]
| 
| 
| 
| 
| 
| Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003
| 
| 
| 11. Authors' Addresses
| 
|       Robert Raszuk
|       Cisco Systems, Inc.
|       Al. Jerozolimskie 146C
|       02-305 Warsaw, Poland
|       Email: [email-masked]
| 
| 
| 
| 12. IPR Notices
| 
|    The IETF takes no position regarding the validity or scope of any
|    intellectual property or other rights that might be claimed to
|    pertain to the implementation or use of the technology described in
|    this document or the extent to which any license under such rights
|    might or might not be available; neither does it represent that it
|    has made any effort to identify any such rights. Information on the
|    IETF's procedures with respect to rights in standards-track and
|    standards-related documentation can be found in BCP-11. Copies of
|    claims of rights made available for publication and any assurances of
|    licenses to be made available, or the result of an attempt made to
|    obtain a general license or permission for the use of such
|    proprietary rights by implementors or users of this specification can
|    be obtained from the IETF Secretariat.
| 
|    The IETF invites any interested party to bring to its attention any
|    copyrights, patents or patent applications, or other proprietary
|    rights which may cover technology that may be required to practice
|    this standard. Please address the information to the IETF Executive
|    Director.
| 
| 
| 13. Terms of Use
| 
|    Cisco has a pending patent which relates to the subject matter of
|    this Internet Draft.  If a standard relating to this subject matter
|    is adopted by IETF and any claims of any issued Cisco patents are
|    necessary for practicing this standard, any party will be able to
|    obtain a license from Cisco to use any such patent claims under
|    openly specified, reasonable, non-discriminatory terms to implement
|    and fully comply with the standard.
| 
| 
| 
| 
| 
| 
| 
| 
| 
| Raszuk R.                   Expires Dec 2003                    [Page 6]
| 
| 
| 
| 
| 
| Internet Draft        ISIS Ext for IBGP Auto Mesh              June 2003
| 
| 
| 14. Full Copyright Notice
| 
|    Copyright (C) The Internet Society (2002).  All Rights Reserved.
| 
|    This document and translations of it may be copied and furnished to
|    others, and derivative works that comment on or otherwise explain it
|    or assist in its implementation may be prepared, copied, published
|    and distributed, in whole or in part, without restriction of any
|    kind, provided that the above copyright notice and this paragraph are
|    included on all such copies and derivative works.  However, this
|    document itself may not be modified in any way, such as by removing
|    the copyright notice or references to the Internet Society or other
|    Internet organizations, except as needed for the purpose of
|    developing Internet standards in which case the procedures for
|    copyrights defined in the Internet Standards process must be
|    followed, or as required to translate it into languages other than
|    English.
| 
|    The limited permissions granted above are perpetual and will not be
|    revoked by the Internet Society or its successors or assigns.
| 
|    This document and the information contained herein is provided on an
|    "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING
|    TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING
|    BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION
|    HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF
|    MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| 
| Raszuk R.                   Expires Dec 2003                    [Page 7]
| 
| 

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 23 Jun 2003 00:04:09 +0200

Hi,

> Hannes Gredler wrote:

I did posted it to [email-masked] as well as to the IDR. I
hope it will be published soon. In the mean time you can use the below
link: ftp://ftp-eng.cisco.com/rraszuk/ibgp-auto-mesh/

R.

> Hannes Gredler wrote: